io.vertx.rxjava3.sqlclient.spi

## Class DatabaseMetadata

- java.lang.Object
- - io.vertx.rxjava3.sqlclient.spi.DatabaseMetadata

-     public class DatabaseMetadata
      extends Object

  Contains static metadata about the backend database server

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<DatabaseMetadata>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseMetadata(DatabaseMetadata delegate)`
    `DatabaseMetadata(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `fullVersion()`
    `DatabaseMetadata` | `getDelegate()`
    `int` | `hashCode()`
    `int` | `majorVersion()`
    `int` | `minorVersion()`
    `static DatabaseMetadata` | `newInstance(DatabaseMetadata arg)`
    `String` | `productName()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<DatabaseMetadata> __TYPE_ARG

  - ### Constructor Detail

    - #### DatabaseMetadata

          public DatabaseMetadata(DatabaseMetadata delegate)

    - #### DatabaseMetadata

          public DatabaseMetadata(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public DatabaseMetadata getDelegate()

    - #### productName

          public String productName()

      Returns:
        The product name of the backend database server

    - #### fullVersion

          public String fullVersion()

      Returns:
        The full version string for the backend database server. This may be useful for for parsing more subtle aspects of the version string. For simple information like database major and minor version, use `majorVersion()` and `minorVersion()` instead.

    - #### majorVersion

          public int majorVersion()

      Returns:
        The major version of the backend database server

    - #### minorVersion

          public int minorVersion()

      Returns:
        The minor version of the backend database server

    - #### newInstance

          public static DatabaseMetadata newInstance(DatabaseMetadata arg)

Copyright © 2024 Eclipse. All rights reserved.